﻿//////////////////////////////////////////////
// EnvironmentWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkScriptsWrap
{
	class DLL_ASTRAEUS_EXPORT EnvironmentWrapper final
	{
		private :

			// Constructeur, destructeur
			EnvironmentWrapper () = delete ;
			~EnvironmentWrapper () = delete ;

		public :

			// Env
			static void updateEnvironment (nkScripts::Environment* env) ;
	} ;
}