﻿//////////////////////////////////////////////
// ShaderPassCustomDummySlot.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "ShaderPassCustomSlot.h"

#include "../../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT ShaderPassCustomDummySlot : public ShaderPassCustomSlot
	{
		private :

			// Attributs
			// Témoin de "on a déjà log ou pas"
			bool _alreadyUsed ;

		public :
	
			// Constructeur, destructeur
			ShaderPassCustomDummySlot () ;
			~ShaderPassCustomDummySlot () ;

			// On permet l'override de typename
			void setTypeName (const std::string_view& value) ;

			// Réimplémentations
			virtual unsigned int getDataByteSize () override ;
			virtual void fillDataBuffer (void* buffer) override ;
	} ;
}