﻿//////////////////////////////////////////////
// OneChannelPackUtils.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

#include "ThreeChannelPack.h"

// Standards
#include <string_view>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT ThreeChannelPackUtils
	{
		public :

			// Translation
			static std::string_view enumToString (THREE_CHANNEL_PACK value) ;
			static THREE_CHANNEL_PACK stringToEnum (const std::string_view& value) ;
	} ;
}

