﻿//////////////////////////////////////////////
// PbsEnvMapFilter.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class Texture ;
}

/// Class ------------------------------------

namespace nkAstraeus
{
	class PbsEnvMapFilter final
	{
		private :

			// Constructor, destructor
			PbsEnvMapFilter () = delete ;
			~PbsEnvMapFilter () = delete ;

		public :

			// Filtering
			static void requestEnvMapFiltering (nkGraphics::Texture* envMap, nkGraphics::Texture* outFilteredMap) ;
	} ;
}