﻿//////////////////////////////////////////////
// ShaderInstanceCustomDummySlot.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "ShaderInstanceCustomSlot.h"

#include "../../Dll/DllDefines.h"

// Standards
#include <string_view>

/// Class ------------------------------------

namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT ShaderInstanceCustomDummySlot : public ShaderInstanceCustomSlot
	{
		private :

			// Attributs
			// Si déjà spamé ou pas
			bool _alreadyUsed ;

		public :
	
			// Constructeur, destructeur
			ShaderInstanceCustomDummySlot () ;
			~ShaderInstanceCustomDummySlot () ;

			// On alloue l'override typename
			void setTypeName (const std::string_view& value) ;

			// Overrides
			// Réimplémentations
			virtual unsigned int getDataByteSize () override ;
			virtual void fillDataBuffer (Entity* caller, void* buffer) override ;
	} ;
}